import{S as dr,i as lr,s as cr,e as s,k as c,w as P,t as a,M as pr,c as o,d as r,m as p,a as n,x as w,h as i,b as d,G as e,g as v,y,L as ur,q as x,o as M,B as E,v as fr}from"../../../chunks/vendor-hf-doc-builder.js";import{D as te}from"../../../chunks/Docstring-hf-doc-builder.js";import{I as Ft}from"../../../chunks/IconCopyLink-hf-doc-builder.js";function hr(At){let b,Se,S,N,re,R,Ae,se,Ce,$e,$,k,oe,I,qe,ne,Le,De,T,Re,K,Ie,Ke,Pe,D,O,ae,V,Ve,ie,We,we,l,W,He,de,Ue,Be,u,j,Ge,Je,le,Ye,je,ce,ze,Qe,pe,Xe,Ze,z,et,tt,Q,rt,st,X,ot,nt,at,Z,it,H,dt,lt,F,U,ct,ue,pt,ut,A,B,ft,fe,ht,mt,_,G,gt,he,_t,vt,g,bt,me,St,$t,ge,Dt,Pt,_e,wt,yt,xt,C,J,Mt,ve,Et,Nt,q,Y,kt,be,Tt,ye;return R=new Ft({}),I=new Ft({}),V=new Ft({}),W=new te({props:{name:"class diffusers.PNDMScheduler",anchor:"diffusers.PNDMScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": typing.Union[numpy.ndarray, typing.List[float], NoneType] = None"},{name:"skip_prk_steps",val:": bool = False"},{name:"set_alpha_to_one",val:": bool = False"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"timestep_spacing",val:": str = 'leading'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.num_train_timesteps",description:"<strong>num_train_timesteps</strong> (<code>int</code>) &#x2014; number of diffusion steps used to train the model.",name:"num_train_timesteps"},{anchor:"diffusers.PNDMScheduler.beta_start",description:"<strong>beta_start</strong> (<code>float</code>) &#x2014; the starting <code>beta</code> value of inference.",name:"beta_start"},{anchor:"diffusers.PNDMScheduler.beta_end",description:"<strong>beta_end</strong> (<code>float</code>) &#x2014; the final <code>beta</code> value.",name:"beta_end"},{anchor:"diffusers.PNDMScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>) &#x2014;
the beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.PNDMScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, optional) &#x2014;
option to pass an array of betas directly to the constructor to bypass <code>beta_start</code>, <code>beta_end</code> etc.`,name:"trained_betas"},{anchor:"diffusers.PNDMScheduler.skip_prk_steps",description:`<strong>skip_prk_steps</strong> (<code>bool</code>) &#x2014;
allows the scheduler to skip the Runge-Kutta steps that are defined in the original paper as being required
before plms steps; defaults to <code>False</code>.`,name:"skip_prk_steps"},{anchor:"diffusers.PNDMScheduler.set_alpha_to_one",description:`<strong>set_alpha_to_one</strong> (<code>bool</code>, default <code>False</code>) &#x2014;
each diffusion step uses the value of alphas product at that step and at the previous one. For the final
step there is no previous alpha. When this option is <code>True</code> the previous alpha product is fixed to <code>1</code>,
otherwise it uses the value of alpha at step 0.`,name:"set_alpha_to_one"},{anchor:"diffusers.PNDMScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, default <code>epsilon</code>, optional) &#x2014;
prediction type of the scheduler function, one of <code>epsilon</code> (predicting the noise of the diffusion process)
or <code>v_prediction</code> (see section 2.4 <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">https://imagen.research.google/video/paper.pdf</a>)`,name:"prediction_type"},{anchor:"diffusers.PNDMScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, default <code>&quot;leading&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2. of <a href="https://arxiv.org/abs/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and Sample
Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.PNDMScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, default <code>0</code>) &#x2014;
an offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code>, to make the last step use step 0 for the previous alpha product, as done in
stable diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/v0.19.0/src/diffusers/schedulers/scheduling_pndm.py#L72"}}),U=new te({props:{name:"scale_model_input",anchor:"diffusers.PNDMScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.scale_model_input.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; input sample",name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.19.0/src/diffusers/schedulers/scheduling_pndm.py#L381",returnDescription:`
<p>scaled input sample</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),B=new te({props:{name:"set_timesteps",anchor:"diffusers.PNDMScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": typing.Union[str, torch.device] = None"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
the number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"}],source:"https://github.com/huggingface/diffusers/blob/v0.19.0/src/diffusers/schedulers/scheduling_pndm.py#L170"}}),G=new te({props:{name:"step",anchor:"diffusers.PNDMScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.step.model_output",description:"<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014; direct output from learned diffusion model.",name:"model_output"},{anchor:"diffusers.PNDMScheduler.step.timestep",description:"<strong>timestep</strong> (<code>int</code>) &#x2014; current discrete timestep in the diffusion chain.",name:"timestep"},{anchor:"diffusers.PNDMScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
current instance of sample being created by diffusion process.`,name:"sample"},{anchor:"diffusers.PNDMScheduler.step.return_dict",description:"<strong>return_dict</strong> (<code>bool</code>) &#x2014; option for returning tuple rather than SchedulerOutput class",name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.19.0/src/diffusers/schedulers/scheduling_pndm.py#L228",returnDescription:`
<p><a
  href="/docs/diffusers/v0.19.0/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.19.0/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),J=new te({props:{name:"step_plms",anchor:"diffusers.PNDMScheduler.step_plms",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.step_plms.model_output",description:"<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014; direct output from learned diffusion model.",name:"model_output"},{anchor:"diffusers.PNDMScheduler.step_plms.timestep",description:"<strong>timestep</strong> (<code>int</code>) &#x2014; current discrete timestep in the diffusion chain.",name:"timestep"},{anchor:"diffusers.PNDMScheduler.step_plms.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
current instance of sample being created by diffusion process.`,name:"sample"},{anchor:"diffusers.PNDMScheduler.step_plms.return_dict",description:"<strong>return_dict</strong> (<code>bool</code>) &#x2014; option for returning tuple rather than SchedulerOutput class",name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.19.0/src/diffusers/schedulers/scheduling_pndm.py#L314",returnDescription:`
<p><code>~scheduling_utils.SchedulerOutput</code> if <code>return_dict</code> is
True, otherwise a <code>tuple</code>. When returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><code>~scheduling_utils.SchedulerOutput</code> or <code>tuple</code></p>
`}}),Y=new te({props:{name:"step_prk",anchor:"diffusers.PNDMScheduler.step_prk",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PNDMScheduler.step_prk.model_output",description:"<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014; direct output from learned diffusion model.",name:"model_output"},{anchor:"diffusers.PNDMScheduler.step_prk.timestep",description:"<strong>timestep</strong> (<code>int</code>) &#x2014; current discrete timestep in the diffusion chain.",name:"timestep"},{anchor:"diffusers.PNDMScheduler.step_prk.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
current instance of sample being created by diffusion process.`,name:"sample"},{anchor:"diffusers.PNDMScheduler.step_prk.return_dict",description:"<strong>return_dict</strong> (<code>bool</code>) &#x2014; option for returning tuple rather than SchedulerOutput class",name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.19.0/src/diffusers/schedulers/scheduling_pndm.py#L259",returnDescription:`
<p><code>~scheduling_utils.SchedulerOutput</code> if <code>return_dict</code> is
True, otherwise a <code>tuple</code>. When returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><code>~scheduling_utils.SchedulerOutput</code> or <code>tuple</code></p>
`}}),{c(){b=s("meta"),Se=c(),S=s("h1"),N=s("a"),re=s("span"),P(R.$$.fragment),Ae=c(),se=s("span"),Ce=a("Pseudo numerical methods for diffusion models (PNDM)"),$e=c(),$=s("h2"),k=s("a"),oe=s("span"),P(I.$$.fragment),qe=c(),ne=s("span"),Le=a("Overview"),De=c(),T=s("p"),Re=a("Original implementation can be found "),K=s("a"),Ie=a("here"),Ke=a("."),Pe=c(),D=s("h2"),O=s("a"),ae=s("span"),P(V.$$.fragment),Ve=c(),ie=s("span"),We=a("PNDMScheduler"),we=c(),l=s("div"),P(W.$$.fragment),He=c(),de=s("p"),Ue=a(`Pseudo numerical methods for diffusion models (PNDM) proposes using more advanced ODE integration techniques,
namely Runge-Kutta method and a linear multi-step method.`),Be=c(),u=s("p"),j=s("a"),Ge=a("~ConfigMixin"),Je=a(" takes care of storing all config attributes that are passed in the scheduler\u2019s "),le=s("code"),Ye=a("__init__"),je=a(`
function, such as `),ce=s("code"),ze=a("num_train_timesteps"),Qe=a(". They can be accessed via "),pe=s("code"),Xe=a("scheduler.config.num_train_timesteps"),Ze=a(`.
`),z=s("a"),et=a("SchedulerMixin"),tt=a(" provides general loading and saving functionality via the "),Q=s("a"),rt=a("SchedulerMixin.save_pretrained()"),st=a(` and
`),X=s("a"),ot=a("from_pretrained()"),nt=a(" functions."),at=c(),Z=s("p"),it=a("For more details, see the original paper: "),H=s("a"),dt=a("https://arxiv.org/abs/2202.09778"),lt=c(),F=s("div"),P(U.$$.fragment),ct=c(),ue=s("p"),pt=a(`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`),ut=c(),A=s("div"),P(B.$$.fragment),ft=c(),fe=s("p"),ht=a("Sets the discrete timesteps used for the diffusion chain. Supporting function to be run before inference."),mt=c(),_=s("div"),P(G.$$.fragment),gt=c(),he=s("p"),_t=a(`Predict the sample at the previous timestep by reversing the SDE. Core function to propagate the diffusion
process from the learned model outputs (most often the predicted noise).`),vt=c(),g=s("p"),bt=a("This function calls "),me=s("code"),St=a("step_prk()"),$t=a(" or "),ge=s("code"),Dt=a("step_plms()"),Pt=a(" depending on the internal variable "),_e=s("code"),wt=a("counter"),yt=a("."),xt=c(),C=s("div"),P(J.$$.fragment),Mt=c(),ve=s("p"),Et=a(`Step function propagating the sample with the linear multi-step method. This has one forward pass with multiple
times to approximate the solution.`),Nt=c(),q=s("div"),P(Y.$$.fragment),kt=c(),be=s("p"),Tt=a(`Step function propagating the sample with the Runge-Kutta method. RK takes 4 forward passes to approximate the
solution to the differential equation.`),this.h()},l(t){const m=pr('[data-svelte="svelte-1phssyn"]',document.head);b=o(m,"META",{name:!0,content:!0}),m.forEach(r),Se=p(t),S=o(t,"H1",{class:!0});var xe=n(S);N=o(xe,"A",{id:!0,class:!0,href:!0});var Ct=n(N);re=o(Ct,"SPAN",{});var qt=n(re);w(R.$$.fragment,qt),qt.forEach(r),Ct.forEach(r),Ae=p(xe),se=o(xe,"SPAN",{});var Lt=n(se);Ce=i(Lt,"Pseudo numerical methods for diffusion models (PNDM)"),Lt.forEach(r),xe.forEach(r),$e=p(t),$=o(t,"H2",{class:!0});var Me=n($);k=o(Me,"A",{id:!0,class:!0,href:!0});var Rt=n(k);oe=o(Rt,"SPAN",{});var It=n(oe);w(I.$$.fragment,It),It.forEach(r),Rt.forEach(r),qe=p(Me),ne=o(Me,"SPAN",{});var Kt=n(ne);Le=i(Kt,"Overview"),Kt.forEach(r),Me.forEach(r),De=p(t),T=o(t,"P",{});var Ee=n(T);Re=i(Ee,"Original implementation can be found "),K=o(Ee,"A",{href:!0,rel:!0});var Vt=n(K);Ie=i(Vt,"here"),Vt.forEach(r),Ke=i(Ee,"."),Ee.forEach(r),Pe=p(t),D=o(t,"H2",{class:!0});var Ne=n(D);O=o(Ne,"A",{id:!0,class:!0,href:!0});var Wt=n(O);ae=o(Wt,"SPAN",{});var Ht=n(ae);w(V.$$.fragment,Ht),Ht.forEach(r),Wt.forEach(r),Ve=p(Ne),ie=o(Ne,"SPAN",{});var Ut=n(ie);We=i(Ut,"PNDMScheduler"),Ut.forEach(r),Ne.forEach(r),we=p(t),l=o(t,"DIV",{class:!0});var f=n(l);w(W.$$.fragment,f),He=p(f),de=o(f,"P",{});var Bt=n(de);Ue=i(Bt,`Pseudo numerical methods for diffusion models (PNDM) proposes using more advanced ODE integration techniques,
namely Runge-Kutta method and a linear multi-step method.`),Bt.forEach(r),Be=p(f),u=o(f,"P",{});var h=n(u);j=o(h,"A",{href:!0});var Gt=n(j);Ge=i(Gt,"~ConfigMixin"),Gt.forEach(r),Je=i(h," takes care of storing all config attributes that are passed in the scheduler\u2019s "),le=o(h,"CODE",{});var Jt=n(le);Ye=i(Jt,"__init__"),Jt.forEach(r),je=i(h,`
function, such as `),ce=o(h,"CODE",{});var Yt=n(ce);ze=i(Yt,"num_train_timesteps"),Yt.forEach(r),Qe=i(h,". They can be accessed via "),pe=o(h,"CODE",{});var jt=n(pe);Xe=i(jt,"scheduler.config.num_train_timesteps"),jt.forEach(r),Ze=i(h,`.
`),z=o(h,"A",{href:!0});var zt=n(z);et=i(zt,"SchedulerMixin"),zt.forEach(r),tt=i(h," provides general loading and saving functionality via the "),Q=o(h,"A",{href:!0});var Qt=n(Q);rt=i(Qt,"SchedulerMixin.save_pretrained()"),Qt.forEach(r),st=i(h,` and
`),X=o(h,"A",{href:!0});var Xt=n(X);ot=i(Xt,"from_pretrained()"),Xt.forEach(r),nt=i(h," functions."),h.forEach(r),at=p(f),Z=o(f,"P",{});var Ot=n(Z);it=i(Ot,"For more details, see the original paper: "),H=o(Ot,"A",{href:!0,rel:!0});var Zt=n(H);dt=i(Zt,"https://arxiv.org/abs/2202.09778"),Zt.forEach(r),Ot.forEach(r),lt=p(f),F=o(f,"DIV",{class:!0});var ke=n(F);w(U.$$.fragment,ke),ct=p(ke),ue=o(ke,"P",{});var er=n(ue);pt=i(er,`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`),er.forEach(r),ke.forEach(r),ut=p(f),A=o(f,"DIV",{class:!0});var Te=n(A);w(B.$$.fragment,Te),ft=p(Te),fe=o(Te,"P",{});var tr=n(fe);ht=i(tr,"Sets the discrete timesteps used for the diffusion chain. Supporting function to be run before inference."),tr.forEach(r),Te.forEach(r),mt=p(f),_=o(f,"DIV",{class:!0});var ee=n(_);w(G.$$.fragment,ee),gt=p(ee),he=o(ee,"P",{});var rr=n(he);_t=i(rr,`Predict the sample at the previous timestep by reversing the SDE. Core function to propagate the diffusion
process from the learned model outputs (most often the predicted noise).`),rr.forEach(r),vt=p(ee),g=o(ee,"P",{});var L=n(g);bt=i(L,"This function calls "),me=o(L,"CODE",{});var sr=n(me);St=i(sr,"step_prk()"),sr.forEach(r),$t=i(L," or "),ge=o(L,"CODE",{});var or=n(ge);Dt=i(or,"step_plms()"),or.forEach(r),Pt=i(L," depending on the internal variable "),_e=o(L,"CODE",{});var nr=n(_e);wt=i(nr,"counter"),nr.forEach(r),yt=i(L,"."),L.forEach(r),ee.forEach(r),xt=p(f),C=o(f,"DIV",{class:!0});var Oe=n(C);w(J.$$.fragment,Oe),Mt=p(Oe),ve=o(Oe,"P",{});var ar=n(ve);Et=i(ar,`Step function propagating the sample with the linear multi-step method. This has one forward pass with multiple
times to approximate the solution.`),ar.forEach(r),Oe.forEach(r),Nt=p(f),q=o(f,"DIV",{class:!0});var Fe=n(q);w(Y.$$.fragment,Fe),kt=p(Fe),be=o(Fe,"P",{});var ir=n(be);Tt=i(ir,`Step function propagating the sample with the Runge-Kutta method. RK takes 4 forward passes to approximate the
solution to the differential equation.`),ir.forEach(r),Fe.forEach(r),f.forEach(r),this.h()},h(){d(b,"name","hf:doc:metadata"),d(b,"content",JSON.stringify(mr)),d(N,"id","pseudo-numerical-methods-for-diffusion-models-pndm"),d(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(N,"href","#pseudo-numerical-methods-for-diffusion-models-pndm"),d(S,"class","relative group"),d(k,"id","overview"),d(k,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(k,"href","#overview"),d($,"class","relative group"),d(K,"href","https://github.com/crowsonkb/k-diffusion/blob/481677d114f6ea445aa009cf5bd7a9cdee909e47/k_diffusion/sampling.py#L181"),d(K,"rel","nofollow"),d(O,"id","diffusers.PNDMScheduler"),d(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(O,"href","#diffusers.PNDMScheduler"),d(D,"class","relative group"),d(j,"href","/docs/diffusers/v0.19.0/en/api/configuration#diffusers.ConfigMixin"),d(z,"href","/docs/diffusers/v0.19.0/en/api/schedulers/overview#diffusers.SchedulerMixin"),d(Q,"href","/docs/diffusers/v0.19.0/en/api/schedulers/overview#diffusers.SchedulerMixin.save_pretrained"),d(X,"href","/docs/diffusers/v0.19.0/en/api/schedulers/overview#diffusers.SchedulerMixin.from_pretrained"),d(H,"href","https://arxiv.org/abs/2202.09778"),d(H,"rel","nofollow"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,b),v(t,Se,m),v(t,S,m),e(S,N),e(N,re),y(R,re,null),e(S,Ae),e(S,se),e(se,Ce),v(t,$e,m),v(t,$,m),e($,k),e(k,oe),y(I,oe,null),e($,qe),e($,ne),e(ne,Le),v(t,De,m),v(t,T,m),e(T,Re),e(T,K),e(K,Ie),e(T,Ke),v(t,Pe,m),v(t,D,m),e(D,O),e(O,ae),y(V,ae,null),e(D,Ve),e(D,ie),e(ie,We),v(t,we,m),v(t,l,m),y(W,l,null),e(l,He),e(l,de),e(de,Ue),e(l,Be),e(l,u),e(u,j),e(j,Ge),e(u,Je),e(u,le),e(le,Ye),e(u,je),e(u,ce),e(ce,ze),e(u,Qe),e(u,pe),e(pe,Xe),e(u,Ze),e(u,z),e(z,et),e(u,tt),e(u,Q),e(Q,rt),e(u,st),e(u,X),e(X,ot),e(u,nt),e(l,at),e(l,Z),e(Z,it),e(Z,H),e(H,dt),e(l,lt),e(l,F),y(U,F,null),e(F,ct),e(F,ue),e(ue,pt),e(l,ut),e(l,A),y(B,A,null),e(A,ft),e(A,fe),e(fe,ht),e(l,mt),e(l,_),y(G,_,null),e(_,gt),e(_,he),e(he,_t),e(_,vt),e(_,g),e(g,bt),e(g,me),e(me,St),e(g,$t),e(g,ge),e(ge,Dt),e(g,Pt),e(g,_e),e(_e,wt),e(g,yt),e(l,xt),e(l,C),y(J,C,null),e(C,Mt),e(C,ve),e(ve,Et),e(l,Nt),e(l,q),y(Y,q,null),e(q,kt),e(q,be),e(be,Tt),ye=!0},p:ur,i(t){ye||(x(R.$$.fragment,t),x(I.$$.fragment,t),x(V.$$.fragment,t),x(W.$$.fragment,t),x(U.$$.fragment,t),x(B.$$.fragment,t),x(G.$$.fragment,t),x(J.$$.fragment,t),x(Y.$$.fragment,t),ye=!0)},o(t){M(R.$$.fragment,t),M(I.$$.fragment,t),M(V.$$.fragment,t),M(W.$$.fragment,t),M(U.$$.fragment,t),M(B.$$.fragment,t),M(G.$$.fragment,t),M(J.$$.fragment,t),M(Y.$$.fragment,t),ye=!1},d(t){r(b),t&&r(Se),t&&r(S),E(R),t&&r($e),t&&r($),E(I),t&&r(De),t&&r(T),t&&r(Pe),t&&r(D),E(V),t&&r(we),t&&r(l),E(W),E(U),E(B),E(G),E(J),E(Y)}}}const mr={local:"pseudo-numerical-methods-for-diffusion-models-pndm",sections:[{local:"overview",title:"Overview"},{local:"diffusers.PNDMScheduler",title:"PNDMScheduler"}],title:"Pseudo numerical methods for diffusion models (PNDM)"};function gr(At){return fr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Sr extends dr{constructor(b){super();lr(this,b,gr,hr,cr,{})}}export{Sr as default,mr as metadata};
